<#if view.hasPSControl('mdctrl')>
<#assign mdctrl = view.getPSControl('mdctrl')>
<#if !mdctrl.isNoSort()>
    <#assign state = false />
    <#list mdctrl.getPSListItems() as item>
        <#if item.isEnableSort()>
        <#assign state = true/>
        <#break>
        </#if>
    </#list>
    <#if state>
    <#assign view_header_botton>
<ion-toolbar class="${srffilepath2(view.getCodeName())}-toolbar default-sort">
    <div class="view-tool">
        <div class="view-tool-sorts">
        <#list mdctrl.getPSListItems() as item>
            <#if item.isEnableSort() && !item.getPSCodeList()??>
            <div class="view-tool-sorts-item">
                <span class="text" @click="setSort('<#if item.getName()??>${item.getName()}</#if>')"><#if item.getCaption()??>${item.getCaption()}</#if></span>
                <span class="sort-icon" @click="setSort('<#if item.getName()??>${item.getName()}</#if>')">
                    <ion-icon :class="{'ios' : true ,'hydrated': true ,'sort-select': sort.asc == '<#if item.getName()??>${item.getName()}</#if>'}" name="chevron-up-outline" ></ion-icon>
                    <ion-icon :class="{'ios' : true ,'hydrated': true ,'sort-select': sort.desc == '<#if item.getName()??>${item.getName()}</#if>'}" name="chevron-down-outline" ></ion-icon>
                </span>
            </div>
            </#if>
        </#list>
        </div>
        <div class="view-tool-searchform">
            <!-- <span>过滤<ion-icon name="filter-outline"></ion-icon></span>  -->
        </div>
    </div>
    <div class="code-box" style="display:flex; overflow: auto;">
    <#list mdctrl.getPSListItems() as item>
        <#if item.isEnableSort() && item.getPSCodeList?? && item.getPSCodeList()??>
        <#assign codelist = item.getPSCodeList()>
        <#if codelist.getCodeListType() == 'STATIC' && codelist.getAllPSCodeItems()??>
        <ion-item class="ibz-item">
         <ion-label  style="margin:0"><#if item.getCaption()??>${item.getCaption()}</#if></ion-label>
         <ion-select name="<#if item.getName()??>n_${item.getName()?lower_case}_eq</#if>" style="padding: 3px;" @ionChange="setQueryparam" interface="popover">
        <#list codelist.getAllPSCodeItems() as codeitem>
         <ion-select-option value="<#if codeitem.getValue()??>${codeitem.getValue()}</#if>"><#if codeitem.getName()??>${codeitem.getName()}</#if></ion-select-option>
        </#list>
        </ion-select>
        </ion-item>
        </#if>
        </#if>
    </#list>   
    </div>
</ion-toolbar>
    </#assign>
    </#if>
</#if>
<#assign view_content>
${P.getCtrlCode('mdctrl', 'CONTROL.html').code}
</#assign>
</#if>
<#ibizinclude>
../@MACRO/VIEW_LAYOUT_BASE.ftl
</#ibizinclude>