<template>
<#ibizinclude>
../@MACRO/CONTROL/LANGBASE.vue.ftl
</#ibizinclude>
<#if ctrl.render??>
    ${ctrl.render.code}
<#else>
    <van-form ref='${ctrl.name}' class="app-form <#if ctrl.getPSSysCss()??><#assign singleCss = ctrl.getPSSysCss()> ${singleCss.getCssName()}</#if>">
    <#--    isNoTabHeader是否隐藏分页头部-->
    <#if ctrl.isNoTabHeader()>
        <#list ctrl.getPSDEFormPages() as formmenber>
            ${P.getPartCode(formmenber).code}
        </#list>
    <#else>
        <van-tabs v-model="detailsModel.${ctrl.name}.activiedPage" @click="detailsModel.${ctrl.name}.clickPage($event)">
            <#list ctrl.getPSDEFormPages() as formpage>
            <van-tab name='${formpage.name}' :disabled="!detailsModel.${formpage.name}.visible">
                <div slot="title" class="caption<#if formpage.getLabelPSSysCss?? && formpage.getLabelPSSysCss()??> ${formpage.getLabelPSSysCss().getCssName()}</#if>">
                    <#if formpage.getPSSysImage()??>
                    <#assign sysimage = formpage.getPSSysImage()/>
                    <#if sysimage.getImagePath() ==  "">
                        <i class="${sysimage.getCssClass()}" style="margin-right: 2px"></i>
                    <#else>
                        <img src="${sysimage.getImagePath()}" style="margin-right: 2px"/>
                    </#if>
                    </#if>
                    {{<#if langbase??>$t('${langbase}.details.${formpage.name}')<#else>'${formpage.getCaption()}'</#if>}}
                </div>
                ${P.getPartCode(formpage).code}
            </van-tab>
            </#list>
        </van-tabs>
    </#if>
    </van-form>
</#if>
</template>